org.bdgenomics.adam.rdd.variant

# VCFOutFormatter

#### case class VCFOutFormatter(headerLines: Seq[VCFHeaderLine]) extends OutFormatter[VariantContext] with Product with Serializable

OutFormatter that reads streaming VCF.

Linear Supertypes
Product, Equals, OutFormatter[VariantContext], Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. VCFOutFormatter
2. Product
3. Equals
4. OutFormatter
5. Serializable
6. Serializable
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new VCFOutFormatter(headerLines: Seq[VCFHeaderLine])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### val headerLines: Seq[VCFHeaderLine]

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### def read(is: InputStream): Iterator[VariantContext]

    Reads VariantContexts from an input stream.

    Reads VariantContexts from an input stream. Autodetects VCF format.

    is

      An InputStream connected to a process we are piping from.

    returns

      Returns an iterator of AlignmentRecords read from the stream.

    Definition Classes
      VCFOutFormatter → OutFormatter

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from OutFormatter[VariantContext]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped